import request from '@/utils/wms-request'

/**
 * 查询件号发货清单列表
 * @param {Object} data
 */
export function listWmsPieceOutRecord(data) {
	return request({
		url: '/sale/wmsPieceOutRecord/list',
		method: 'get',
		data: data
	})
}

/**
 * 新增件号发货清单
 * @param {Object} data
 */
export function addWmsPieceOutRecord(data) {
	return request({
		url: '/sale/wmsPieceOutRecord',
		method: 'post',
		data: data
	})
}


/**
 * 根据工业条码查询物料组件
 * @param {Object} matpieceBarcode 工业条码
 */
export function getSubassembly(pieceBarcode) {
	return request({
		url: '/basic/components/list/' + pieceBarcode,
		method: 'get',
	})
}
/**
 * 保存组件条码
 * @param {Object} 工业条码
 * @param {Object} 组件码
 */
export function insertSubassembly(pieceBarcode, componentCode) {
	return request({
		url: '/basic/components/',
		method: 'post',
		data: {
			pieceBarcode,
			componentCode
		}
	})
}
/**
 * 根据id删除组件
 * @param {string} id
 */
export function deletSubassembly(id) {
	return request({
		url: '/basic/components/' + id,
		method: 'delete',
	})
}

/**
 * 箱码出库
 * @param {string} 工业条码
 * @param {string} 客户
 * @param {string} 箱码
 */
export function addWmsBoxOutRecord(data) {
	return request({
		url: '/sale/wmsPieceOutRecord/out',
		method: 'post',
		data
	})
}